#!/bin/bash

#**************************#
#  gen-article-pelican.sh  #
#                          #
#  author: rick@gnous.eu   #
#   licence: Apache-2.0    #
#**************************#

FILE="nouveau-billet.md"
AUTHOR="Moi"
STATUS="draft"
LANGUE="fr"

filemd=${1:-$FILE}

read -p "Titre de l’article : " titre
read -p "Date de l’article (vide pour aujourd’hui) : " date
read -p "Catégorie : " categorie
read -p "Tags (les séparer par une ,) : " tags
read -p "URL : " url
read -p "Auteurs (séparez les différents auteurs par une ,) : " auteurs
read -p "Status (draft par défaut) : " statuspost
read -p "Langue (fr par défaut) : " langue
read -p "Sommaire : " sommaire

date=${date:-$(date +%Y-%m-%d)}
statuspost=${statuspost:-$STATUS}
langue=${langue:-$LANGUE}
auteurs=${auteurs:-$AUTHOR}

[[ $auteurs == *","* ]] && auteurs="Authors: $auteurs" || auteurs="Author: $auteurs"

echo "Title: $titre
Date: $date
Category: $categorie
Tags: $tags
Slug: $url
$auteurs
Lang: $langue
Status: $statuspost" > $filemd

if [ ! -z "$sommaire" ]
then
    echo "Summary: $sommaire" >> $filemd
fi

echo -e "\n" >> $filemd
